summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorHans de Graaff <graaff@gentoo.org>2018-12-11 08:25:20 +0100
committerHans de Graaff <graaff@gentoo.org>2018-12-11 09:40:44 +0100
commit260bd1e79a4d9ec294f232a9b359e464702d2bae (patch)
tree3837cf4247db39567615821e1e02f1ce02fea3d3 /dev-ruby/liquid-c
parentdev-ruby/liquid: add ruby25 (diff)
downloadgentoo-260bd1e79a4d9ec294f232a9b359e464702d2bae.tar.gz
gentoo-260bd1e79a4d9ec294f232a9b359e464702d2bae.tar.bz2
gentoo-260bd1e79a4d9ec294f232a9b359e464702d2bae.zip
dev-ruby/liquid-c: add 4.0.0
Signed-off-by: Hans de Graaff <graaff@gentoo.org> Package-Manager: Portage-2.3.51, Repoman-2.3.11
Diffstat (limited to 'dev-ruby/liquid-c')
-rw-r--r--dev-ruby/liquid-c/Manifest1
-rw-r--r--dev-ruby/liquid-c/liquid-c-4.0.0.ebuild37
2 files changed, 38 insertions, 0 deletions
diff --git a/dev-ruby/liquid-c/Manifest b/dev-ruby/liquid-c/Manifest
index e3833547c1d..5c031f14cc1 100644
--- a/dev-ruby/liquid-c/Manifest
+++ b/dev-ruby/liquid-c/Manifest
@@ -1 +1,2 @@
DIST liquid-c-3.0.0.gem 15360 BLAKE2B 2fa64ede17b25fb7e83f6b1b74dfc9b2777eda51773e1efdda2fff921ec740f7628e1a87a73896f0adaea5abd48bdb04331fcccd122ac35db5e8ca0ce4092bd9 SHA512 500afb4669555b0e7c8ac2ab46b3bfdcf4db2e67fd89369669125e5d4598edad6dff5270599e659c64abe33c254dde556ff12e74fe35f7baae3bbd9bf9c60b36
+DIST liquid-c-4.0.0.gem 15872 BLAKE2B 8083ae622da685db2aa557ffff0927a900a51c92227ea2523dcf4c408ff4df6f417cbf7fe019383220c3fe580d53f40d496787d8f7328a1e42c3f17a435eebe6 SHA512 a9f3618a7286c6417e9d22cad8c0716f84f33c43e9b12708711f9c4bdebb94a30e408b3dca99cdfe0a7c5b5e5b39ffa79e978ef6b44e5359975e3d74106932be
diff --git a/dev-ruby/liquid-c/liquid-c-4.0.0.ebuild b/dev-ruby/liquid-c/liquid-c-4.0.0.ebuild
new file mode 100644
index 00000000000..ced776af297
--- /dev/null
+++ b/dev-ruby/liquid-c/liquid-c-4.0.0.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+USE_RUBY="ruby23 ruby24 ruby25"
+
+RUBY_FAKEGEM_TASK_DOC=""
+RUBY_FAKEGEM_TASK_TEST=""
+RUBY_FAKEGEM_EXTRADOC="README.md"
+
+inherit multilib ruby-fakegem
+
+DESCRIPTION="Liquid performance extension in C"
+HOMEPAGE="https://github.com/Shopify/liquid-c"
+
+LICENSE="MIT"
+SLOT="4"
+KEYWORDS="~amd64"
+IUSE=""
+
+MY_PN=${PN/-/_}
+
+ruby_add_rdepend ">=dev-ruby/liquid-3.0.0:*"
+
+all_ruby_prepare() {
+ sed -i -e "s/-Werror//" ext/${MY_PN}/extconf.rb || die
+ sed -i -e "/[Bb]undler/d" Rakefile || die
+}
+
+each_ruby_configure() {
+ ${RUBY} -Cext/${MY_PN} extconf.rb || die
+}
+
+each_ruby_compile() {
+ emake V=1 -Cext/${MY_PN}
+ cp ext/${MY_PN}/${MY_PN}$(get_modname) lib/ || die
+}